Bullet Collision Detection & Physics Library: btPlaneShape Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
btPlaneShape Class Reference

Class for accessing the plane equation. More...

Inheritance diagram for btPlaneShape:
[legend]
Collaboration diagram for btPlaneShape:
[legend]

## Public Member Functions
| btPlaneShape (const btVector3 &v, float f)
void | get_plane_equation (btVector4 &equation)
void | get_plane_equation_transformed (const btTransform &trans, btVector4 &equation) const
Public Member Functions inherited from btStaticPlaneShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btStaticPlaneShape (const btVector3 &planeNormal, btScalar planeConstant)
virtual | ~btStaticPlaneShape ()
virtual void | getAabb (const btTransform &t, btVector3 &aabbMin, btVector3 &aabbMax) const
| getAabb returns the axis aligned bounding box in the coordinate frame of the given transform t.
virtual void | processAllTriangles (btTriangleCallback *callback, const btVector3 &aabbMin, const btVector3 &aabbMax) const
virtual void | calculateLocalInertia (btScalar mass, btVector3 &inertia) const
virtual void | setLocalScaling (const btVector3 &scaling)
virtual const btVector3 & | getLocalScaling () const
const btVector3 & | getPlaneNormal () const
const btScalar & | getPlaneConstant () const
virtual const char * | getName () const
virtual int | calculateSerializeBufferSize () const
virtual const char * | serialize (void *dataBuffer, btSerializer *serializer) const
| fills the dataBuffer and returns the struct name (and 0 on failure)
Public Member Functions inherited from btConcaveShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btConcaveShape ()
virtual | ~btConcaveShape ()
virtual btScalar | getMargin () const
virtual void | setMargin (btScalar collisionMargin)
Public Member Functions inherited from btCollisionShape
| BT_DECLARE_ALIGNED_ALLOCATOR ()
| btCollisionShape ()
virtual | ~btCollisionShape ()
virtual void | getBoundingSphere (btVector3 &center, btScalar &radius) const
virtual btScalar | getAngularMotionDisc () const
| getAngularMotionDisc returns the maximum radius needed for Conservative Advancement to handle time-of-impact with rotations.
virtual btScalar | getContactBreakingThreshold (btScalar defaultContactThresholdFactor) const
void | calculateTemporalAabb (const btTransform &curTrans, const btVector3 &linvel, const btVector3 &angvel, btScalar timeStep, btVector3 &temporalAabbMin, btVector3 &temporalAabbMax) const
| calculateTemporalAabb calculates the enclosing aabb for the moving object over interval [0..timeStep) result is conservative
bool | isPolyhedral () const
bool | isConvex2d () const
bool | isConvex () const
bool | isNonMoving () const
bool | isConcave () const
bool | isCompound () const
bool | isSoftBody () const
bool | isInfinite () const
| isInfinite is used to catch simulation error (aabb check)
int | getShapeType () const
virtual btVector3 | getAnisotropicRollingFrictionDirection () const
| the getAnisotropicRollingFrictionDirection can be used in combination with setAnisotropicFriction See Bullet/Demos/RollingFrictionDemo for an example
void | setUserPointer (void *userPtr)
| optional user data pointer
void * | getUserPointer () const
void | setUserIndex (int index)
int | getUserIndex () const
void | setUserIndex2 (int index)
int | getUserIndex2 () const
virtual void | serializeSingleShape (btSerializer *serializer) const

## Additional Inherited Members
Protected Attributes inherited from btStaticPlaneShape
btVector3 | m_localAabbMin
btVector3 | m_localAabbMax
btVector3 | m_planeNormal
btScalar | m_planeConstant
btVector3 | m_localScaling
Protected Attributes inherited from btConcaveShape
btScalar | m_collisionMargin
Protected Attributes inherited from btCollisionShape
int | m_shapeType
void * | m_userPointer
int | m_userIndex
int | m_userIndex2

## Detailed Description

Class for accessing the plane equation.

Definition at line 35 of file btGImpactCollisionAlgorithm.cpp.

## Constructor & Destructor Documentation

## ◆ btPlaneShape()

btPlaneShape::btPlaneShape | ( | const btVector3 & | v,
|  | float | f )
| inline

Definition at line 38 of file btGImpactCollisionAlgorithm.cpp.

## Member Function Documentation

## ◆ get_plane_equation()

void btPlaneShape::get_plane_equation | ( | btVector4 & | equation | ) |
| inline

Definition at line 43 of file btGImpactCollisionAlgorithm.cpp.

## ◆ get_plane_equation_transformed()

void btPlaneShape::get_plane_equation_transformed | ( | const btTransform & | trans,
|  | btVector4 & | equation ) const
| inline

Definition at line 51 of file btGImpactCollisionAlgorithm.cpp.

The documentation for this class was generated from the following file:

- btGImpactCollisionAlgorithm.cpp